<?php



$uploadDir = 'ckupload/';

if (!is_dir($uploadDir)) {

    mkdir($uploadDir, 0777, true);

}



$response = [];



if (isset($_FILES['upload'])) {

    $file = $_FILES['upload'];

    // Estrai l'estensione del file originale

    $ext = pathinfo($file['name'], PATHINFO_EXTENSION);



    // Genera un nuovo nome file con timestamp. Assicurati che il nome sia unico e valido.

    $newFileName = uniqid("img_", true) . '.' . $ext;

    $uploadFile = $uploadDir . $newFileName;



    if (getimagesize($file['tmp_name'])) {

        if (move_uploaded_file($file['tmp_name'], $uploadFile)) {

            // Successo, prepara la risposta

            $response = [

                "uploaded" => 1,

                "fileName" => $newFileName,

                // Assicurati che l'URL sia accessibile e punti al file corretto sul server

                "url" => $uploadDir . $newFileName

            ];

        } else {

            // Errore nel salvataggio del file

            $response = [

                "uploaded" => 0,

                "error" => ["message" => "Impossibile salvare l'immagine."]

            ];

        }

    } else {

        // Il file non è un'immagine

        $response = [

            "uploaded" => 0,

            "error" => ["message" => "Il file non è un'immagine."]

        ];

    }

} else {

    // Nessun file caricato

    $response = [

        "uploaded" => 0,

        "error" => ["message" => "Nessun file caricato."]

    ];

}



header('Content-Type: application/json');

echo json_encode($response);

